Module tdlight.api
Package it.tdlight.jni

# Class TdApi.UpdateChatDraftMessage

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.Update
it.tdlight.jni.TdApi.UpdateChatDraftMessage

Enclosing class:
  TdApi

public static final class TdApi.UpdateChatDraftMessage extends TdApi.Update
A chat draft has changed. Be aware that the update may come in the currently opened chat but with old content of the draft. If the user has changed the content of the draft, this update mustn't be applied.

## Field Summary

Fields
Modifier and Type
Field
Description
`long`
`chatId`
Chat identifier.
`static final int`
`CONSTRUCTOR`
Identifier uniquely determining type of the object.
`TdApi.DraftMessage`
`draftMessage`
The new draft message; may be null if none.
`TdApi.ChatPosition[]`
`positions`
The new chat positions in the chat lists.

## Constructor Summary

Constructors
Constructor
Description
`UpdateChatDraftMessage()`
A chat draft has changed.
`UpdateChatDraftMessage(long chatId, TdApi.DraftMessage draftMessage, TdApi.ChatPosition[] positions)`
A chat draft has changed.
`UpdateChatDraftMessage(DataInput input)`
A chat draft has changed.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
Returns an identifier uniquely determining type of the object.
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`
Serialize the TDLib class

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### chatId

public long chatId
Chat identifier.

### draftMessage

public TdApi.DraftMessage draftMessage
The new draft message; may be null if none.

### positions

public TdApi.ChatPosition[] positions
The new chat positions in the chat lists.

### CONSTRUCTOR

public static final int CONSTRUCTOR
Identifier uniquely determining type of the object.

See Also:
  - Constant Field Values

## Constructor Details

### UpdateChatDraftMessage

public UpdateChatDraftMessage()
A chat draft has changed. Be aware that the update may come in the currently opened chat but with old content of the draft. If the user has changed the content of the draft, this update mustn't be applied.

### UpdateChatDraftMessage

public UpdateChatDraftMessage(long chatId, TdApi.DraftMessage draftMessage, TdApi.ChatPosition[] positions)
A chat draft has changed. Be aware that the update may come in the currently opened chat but with old content of the draft. If the user has changed the content of the draft, this update mustn't be applied.

Parameters:
  `chatId` - Chat identifier.
  `draftMessage` - The new draft message; may be null if none.
  `positions` - The new chat positions in the chat lists.

### UpdateChatDraftMessage

public UpdateChatDraftMessage(DataInput input) throws IOException
A chat draft has changed. Be aware that the update may come in the currently opened chat but with old content of the draft. If the user has changed the content of the draft, this update mustn't be applied.

Parameters:
  `input` - Serialized input
Throws:
  `IOException` - the deserialization failed

## Method Details

### getConstructor

public int getConstructor()
Description copied from class: `TdApi.Object`
Returns an identifier uniquely determining type of the object.

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR

### serialize

public void serialize(DataOutput output) throws IOException
Serialize the TDLib class

Specified by:
  `serialize` in class `TdApi.Object`
Parameters:
  `output` - output data stream
Throws:
  `IOException` - the serialization failed

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`